org.omg.DynamicAny.DynAnyFactoryPackage

## Class InconsistentTypeCodeHelper

- java.lang.Object
- - org.omg.DynamicAny.DynAnyFactoryPackage.InconsistentTypeCodeHelper

-     public abstract class InconsistentTypeCodeHelper
      extends Object

  org/omg/DynamicAny/DynAnyFactoryPackage/InconsistentTypeCodeHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /HUDSON/workspace/8-2-build-linux-amd64/jdk8u31/2394/corba/src/share/classes/org/omg/DynamicAny/DynamicAny.idl Wednesday, December 17, 2014 8:40:53 PM PST

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InconsistentTypeCodeHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InconsistentTypeCode` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, InconsistentTypeCode that)`
    `static InconsistentTypeCode` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, InconsistentTypeCode value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InconsistentTypeCodeHelper

          public InconsistentTypeCodeHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                                    InconsistentTypeCode that)

    - #### extract

          public static InconsistentTypeCode extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static InconsistentTypeCode read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                                   InconsistentTypeCode value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.